﻿#language: ru

@labeling

Функционал: 014. Labeling. АРМ Стационарная маркировка

Сценарий: 014.1. Labeling. АРМ Стационарная маркировка

	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Упаковочные листы'
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Годен до'           | 'Дата выпуска' | 'Наименование'                 |
		| '20.10.2019 0:00:00' | '19.09.2019'   | '000001 до 20.10.2019 0:00:00' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '400,000'
	И в таблице "Товары" из выпадающего списка "Упаковка" я выбираю по строке 'кг'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '400,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Паспорт паллеты'
	И я жду открытия окна 'Паллета *' в течение 20 секунд
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R28C6" в течение 20 секунд
	И я запоминаю значение ячейки табличного документа "ТекущаяПечатнаяФорма" "R28C6" в переменную "ИмяПеременной"
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Паллета *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Паллета *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И Я закрываю окно 'Упаковочные листы'
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Меню учетных точек'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И в поле 'Дата' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Маркировка №2' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Стационарная маркировка'
	Тогда открылось окно 'Стационарная маркировка'
	И в поле 'ДатаСмены' я ввожу текущую дату
	И из выпадающего списка "Смена" я выбираю по строке 'Смена24'
	И из выпадающего списка "РабочийЦентр" я выбираю по строке 'Маркировка №2'
	И я перехожу к закладке "Параметры"
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И я перехожу к закладке "Маркировка"
	И в таблице "ТаблицаСтрокЗаданий" я перехожу к строке по шаблону:
		| 'Номенклатура'            | 'План'  	| 'Спецификация'	   |
		| 'Сыр Сулугуни / Ашан / *' | '300,000' | 'Сыр Сулугуни(Ашан)' |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку 'Приемка сырья'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	И я нажимаю на кнопку 'КомандаОК'
	Тогда открылось окно 'Стационарная маркировка'
	И я нажимаю на кнопку 'Выпуск'
	И я нажимаю на кнопку 'ДобавитьПаллет'
	И в поле 'Вес' я ввожу текст '300,000'
	И я перехожу к следующему реквизиту
	Тогда открылось окно 'Печать документа'
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно 'Печать документа'
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно 'Стационарная маркировка'
	И я нажимаю на кнопку 'Завершить'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Стационарная маркировка'
	И я нажимаю на кнопку 'Возврат сырья'
	Когда открылось окно 'Стационарная маркировка'
	И из выпадающего списка "КодСтрокиЗадания" я выбираю точное значение 'Сыр Сулугуни / <Без маркировки> / 000001 до 20.10.2019 0:00:00(400)'
	И в поле 'Вес' я ввожу текст '100,000'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Стационарная маркировка'
	И я нажимаю на кнопку 'Взвешивание'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И в поле 'Вес' я ввожу текст '300,000'
	И я перехожу к следующему реквизиту
	Тогда открылось окно 'Печать документа'
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно 'Стационарная маркировка'
	И я нажимаю на кнопку 'Назад'
	И я нажимаю на кнопку 'Завершить строку'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Стационарная маркировка'
	И Я закрываю окно 'Стационарная маркировка'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И Я закрываю окно '[Администратор]: Меню учетных точек'
	И Я закрыл все окна клиентского приложения

Сценарий: 014.2. Labeling. Проверка документа Распределение материалов. Возврат Излишков

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распределения материалов'
	Тогда открылось окно 'Распределения материалов'
	И в таблице "Список" я перехожу к строке:
		| 'Рабочий центр' | 'Смена'   |
		| 'Маркировка №2' | 'Смена24' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распределение материалов * от *'
	И элемент формы "Смена" стал равен "Смена24"
	И элемент формы "Рабочий центр" стал равен "Маркировка №2"
	И элемент формы "Склад" стал равен "Склад немаркированной продукции"
	И элемент формы "Ячейка" стал равен "Ячейка отгрузки"
	И я перехожу к закладке "Распределение материалов"
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'Номенклатура продукции' | 'Серия'                        | 'Спецификация продукции' | 'Характеристика продукции' | 'Этап продукции' |
		| 'Сыр Сулугуни'           | '000001 до 20.10.2019 0:00:00' | 'Сыр Сулугуни(Ашан)'     | 'Ашан'                     | 'Маркировка'     |
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловНоменклатура" имеет значение "Сыр Сулугуни"
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловХарактеристика" имеет значение "<Без маркировки>"
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловСерия" имеет значение "000001 до 20.10.2019 0:00:00"
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловКоличество" имеет значение "-100,000"
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловНоменклатураЕдиницаИзмерения" имеет значение "кг"
	И я перехожу к закладке "Дополнительно"
	И в поле 'Комментарий' я ввожу текст 'Возврат'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распределение материалов * от * *' в течение 20 секунд
	Тогда открылось окно 'Распределения материалов'
	И Я закрываю окно 'Распределения материалов'

Сценарий: 014.3. Labeling. Проверка документа Распределение материалов. Приемка

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распределения материалов'
	Тогда открылось окно 'Распределения материалов'
	И в таблице "Список" я перехожу к строке:
		| 'Рабочий центр' | 'Смена'   | 'Комментарий' |
		| 'Маркировка №2' | 'Смена24' |  ''           |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распределение материалов * от *'
	И элемент формы "Смена" стал равен "Смена24"
	И элемент формы "Рабочий центр" стал равен "Маркировка №2"
	И элемент формы "Склад" стал равен "Склад немаркированной продукции"
	И элемент формы "Ячейка" стал равен "Ячейка отгрузки"
	И я перехожу к закладке "Распределение материалов"
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'Номенклатура продукции' | 'Серия'                        | 'Спецификация продукции' | 'Характеристика продукции' | 'Этап продукции' |
		| 'Сыр Сулугуни'           | '000001 до 20.10.2019 0:00:00' | 'Сыр Сулугуни(Ашан)'     | 'Ашан'                     | 'Маркировка'     |
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловНоменклатура" имеет значение "Сыр Сулугуни"
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловХарактеристика" имеет значение "<Без маркировки>"
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловСерия" имеет значение "000001 до 20.10.2019 0:00:00"
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловКоличество" имеет значение "400,000"
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловНоменклатураЕдиницаИзмерения" имеет значение "кг"
	И Я закрываю окно 'Распределение материалов * от *'
	Тогда открылось окно 'Распределения материалов'
	И Я закрываю окно 'Распределения материалов'

Сценарий: 014.4. Labeling. Проверка документа Переработка

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Переработки'
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Рабочий центр' |
		| 'Маркировка №2' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка * от *'
	И элемент формы "Организация" стал равен "Организация"
	И элемент формы "Смена" стал равен "Смена24"
	И элемент формы "Рабочий центр" стал равен "Маркировка №2"
	И элемент формы с именем "СкладВыпуск" стал равен "Склад готовой продукции"
	И я перехожу к закладке "Выпуск"
	Тогда таблица "Выпуск" стала равной по шаблону:
		| 'Спецификация'       | 'Количество' | 'Номенклатура' | 'Характеристика' | 'Серия'  | 'Ед. изм.' |
		| 'Сыр Сулугуни(Ашан)' | '300,000'    | 'Сыр Сулугуни' | 'Ашан'           | '1 до *' | 'кг'       |
	И Я закрываю окно 'Переработка * от *'
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: 014.5. Labeling. Завершение

	И Я закрыл все окна клиентского приложения